%define upstream_name    Test-InDistDir
%define upstream_version 1.112071

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Test environment setup for development with IDE
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module helps run test scripts in IDEs like Komodo.

When running test scripts in an IDE i have to set up a project file
defining the dist dir to run tests in and a lib dir to load additional
modules from. Often I didn't feel like doing that, especially when i only
wanted to do a small patch to a dist. In those cases i added a BEGIN block
to mangle the environment for me.

This module basically is that BEGIN block. It automatically moves up one
directory when it cannot see the test script in "t/$scriptname" and
includes 'lib' in @INC when there's no blib present. That way the test ends
up with almost the same environment it'd get from EUMM/prove/etc., even
when it's actually run inside the t/ directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.112.71-11.mga10
+ Revision: 2200820
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.112.71-10.mga9
+ Revision: 1806182
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.112.71-9.mga8
+ Revision: 1497363
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.112.71-8.mga7
+ Revision: 1271906
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.112.71-7.mga6
+ Revision: 1034301
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.112.71-6.mga6
+ Revision: 948103
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.112.71-5.mga5
+ Revision: 750319
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.112.71-4.mga5
+ Revision: 686461
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.71-3.mga4
+ Revision: 515197
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.71-2.mga3
+ Revision: 373565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 1.112.71-1.mga2
+ Revision: 154963
- imported package perl-Test-InDistDir


* Fri Oct 14 2011 cpan2dist 1.112071-1mga
- initial mageia release, generated with cpan2dist
